## Privacy

We'll be using a number of online tools, and some make account information (e.g., username)
public. Your instructor will do their best to let you know when their is a chance that your
information may become public.

To protect your information, you may want to use emails and account names that obfuscate your
real name. For example, you may want to create an email account that you will use specially
for this course and create accounts using this email. You may choose usernames that have made
up names. That is fine. All we ask is that you keep the names clean and friendly.

Your instructor may require you to provide them with account names so that they can grant it
special permissions and so that your work under that account can be attributed to you in the class.

Please respect the privacy of others in this class when working in a potentially public environment
by only referring to others by their chosen account name and not their real name.

Here is a list of considerations when using some of the tools we will be using in class.

* Commits and commit messages pushed to a public Git repository will become public.
  Commit messages contain a name and an email that you set when configuring Git.
* In GitLab, when you interact with a project or group (e.g., creating an issue,
  commenting on an issue, forking a project, etc.), your GitLab account name will
  become associated with that project or group. If that GitLab project or group is public,
  then that association may also become public.
* All TitanPads and their contents are public. We'll be using these to take notes in class.
  Consider using initials instead of names when referring to others.
